## sharutils 4.9

=== debian/changelog ===
sharutils (1:4.9-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Sat, 06 Mar 2010 12:54:34 +0100

sharutils (1:4.8-1) unstable; urgency=low

  * New upstream release, now under GPL version 3 or later.
  * Use strip, not "install -s", to make lintian happy.
  * Modified debian/rules to support cross-build.
  * Drop gettext and texinfo from build-depends.
  * Changed "Suggests:" to "bsd-mailx | mailx".
  * Improved uudecode(1). Closes: #411261.
  * Added homepage field to control file.
  * Switch to 3.0 (quilt) source format.
  * Added missing compress-dummy(1).

 -- Santiago Vila <sanvila@debian.org>  Sun, 21 Feb 2010 14:05:14 +0100

sharutils (1:4.6.3-4) unstable; urgency=medium

  * Changed debian/* files again for new texi2html behaviour. Closes: #552938.

 -- Santiago Vila <sanvila@debian.org>  Wed, 04 Nov 2009 12:51:10 +0100

sharutils (1:4.6.3-3) unstable; urgency=low

  * Modified doc/Makefile.in so that it does not use install-info.
    The disabled code was already a source of problems in 2003 when
    Debian "install-info --version" started to show output on stdout.
    The problem is here again because install-info is now GNU install-info
    and the output of "install-info --version" does not contain "debian".
    This change should remove dir.gz from /usr/share/info. Closes: #543958.
  * Changed priority to optional, following the override file.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Aug 2009 00:52:16 +0200

sharutils (1:4.6.3-2) unstable; urgency=low

  * Updated copyright file so that it refers to GFDL in common-licenses.
  * Handle info files as indicated by policy 3.8.3.
  * Do not ignore errors from make distclean.
  * Moved doc-base manual to "Text" section.
  * Fixed typos in shar.1. Closes: #525260.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Aug 2009 12:23:00 +0200

sharutils (1:4.6.3-1) unstable; urgency=low

  * New upstream release. Closes: #324061.
  * The counter-intuitive behaviour of uuencode when using the terminal
    is now documented properly. Closes: #49021.
  * Changed "which of the both" to "which of the two". Closes: #414666.
  * Should no longer FTBFS when built twice in a row. Closes: #424254.

 -- Santiago Vila <sanvila@debian.org>  Thu,  7 Jun 2007 18:49:50 +0200

sharutils (1:4.2.1-15) unstable; urgency=medium

  * Fixed mail-files call to the "mail" utility, which was broken in all
    archs except mine due to a missing build-dependency (Closes: #319325).
    Hardcode "mail" as the utility to be used (no need to add build-depends).
  * Added Suggests: mailx (you might want to use uuencode but not mail-files).
  * Removed way obsolete dependency on debianutils.

 -- Santiago Vila <sanvila@debian.org>  Thu, 21 Jul 2005 16:08:44 +0200

sharutils (1:4.2.1-14) unstable; urgency=low

  * Fixed FTBFS bug caused by new texi2html behaviour (Closes: #317858).

 -- Santiago Vila <sanvila@debian.org>  Tue, 12 Jul 2005 16:47:08 +0200

sharutils (1:4.2.1-13) unstable; urgency=medium

  * Fixed insecure temporary file creation in unshar (Closes: #302412).
    Changed also texinfo and shar(1) examples to read /somewhere/foo
    instead of /tmp/foo. Reported by Joey Hess.

 -- Santiago Vila <sanvila@debian.org>  Fri,  1 Apr 2005 19:57:40 +0200

sharutils (1:4.2.1-12) unstable; urgency=medium

  * Fixed several buffer overflows (Closes: #265904, #302097).
    Patch borrowed from Gentoo. This is CAN-2004-1773.
  * Changed doc-base file to UTF-8.

 -- Santiago Vila <sanvila@debian.org>  Wed, 30 Mar 2005 15:19:26 +0200

sharutils (1:4.2.1-11) unstable; urgency=high

  * Fixed buffer overflow in shar. Patch taken from CVS (Closes: #242597).
  * Changed -o to || in prerm of sharutils-doc (Closes: #260089).
  * Removed preinst, dpkg supports epochs since a very long time.

 -- Santiago Vila <sanvila@debian.org>  Wed, 28 Jul 2004 18:43:20 +0200

sharutils (1:4.2.1-10) unstable; urgency=low

  * Standards-Version: 3.5.8.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Dec 2002 14:39:38 +0100

sharutils (1:4.2.1-9) unstable; urgency=low

  * Added support for DEB_BUILD_OPTIONS.

 -- Santiago Vila <sanvila@debian.org>  Wed, 21 Nov 2001 16:37:04 +0100

sharutils (1:4.2.1-8) unstable; urgency=medium

  * Do not configure --with-gnu-gettext, use libintl from glibc instead.
    This avoids segfaults under certain locales (Closes: #112227).
    As an added bonus, executables are now smaller.

 -- Santiago Vila <sanvila@debian.org>  Mon, 17 Sep 2001 19:21:25 +0200

sharutils (1:4.2.1-7) unstable; urgency=low

  * Improved an uudecode error message to be less misleading (Closes: #68928).
    Reported by Goswin Brederlow. Patch by Martin Michlmayr.

 -- Santiago Vila <sanvila@debian.org>  Wed,  8 Aug 2001 17:10:38 +0200

sharutils (1:4.2.1-6) unstable; urgency=low

  * Build-Depends-Indep: texi2html, not tetex-bin (Closes: #101803).

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Jun 2001 13:07:46 +0200

sharutils (1:4.2.1-5) unstable; urgency=low

  * Registered HTML docs using doc-base.

 -- Santiago Vila <sanvila@debian.org>  Sat, 23 Jun 2001 16:23:11 +0200

sharutils (1:4.2.1-4) unstable; urgency=low

  * Install man symlinks for mail-files and remsync, following clarified
    policy about this (Closes: #99565).

 -- Santiago Vila <sanvila@debian.org>  Sat,  9 Jun 2001 18:03:41 +0200

sharutils (1:4.2.1-3) unstable; urgency=low

  * Slightly improved copyright file.
  * Build-Depends: texinfo, gettext.
  * Build-Depends-Indep: tetex-bin.

 -- Santiago Vila <sanvila@debian.org>  Tue,  2 Jan 2001 16:27:19 +0100

sharutils (1:4.2.1-2) unstable; urgency=low

  * Added a manpage for mailshar, remsync and mail-files, it tells the
    user to read the info files or the HTML docs in the sharutils-doc
    package (Closes: #39466).
  * Removed some bogus info entries from the Texinfo source and do not
    use install-info --description option (Closes: #62743).

