=== debian/control ===
Source: sharutils
Section: utils
Priority: optional
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.8.4
Build-Depends-Indep: texi2html (>= 1.82)
Homepage: http://www.gnu.org/software/sharutils/

Package: sharutils
Conflicts: shar, uuencode
Architecture: any
Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
Suggests: bsd-mailx | mailx
Description: shar, unshar, uuencode, uudecode
 `shar' makes so-called shell archives out of many files, preparing
 them for transmission by electronic mail services.  `unshar' helps
 unpacking shell archives after reception.  Other related utility
 programs help with other tasks.
 .
 `uuencode' prepares a file for transmission over an electronic
 channel which ignores or otherwise mangles the eight bit (high
 order bit) of bytes.  `uudecode' does the converse transformation.

Package: sharutils-doc
Section: doc
Priority: optional
Architecture: all
Description: Documentation for GNU sharutils
 This package contains the HTML documentation for GNU sharutils.
