## sharutils 4.11

=== debian/changelog ===
sharutils (1:4.11-1) unstable; urgency=low

  * New upstream release.
  * Use strip with prefix for cross-build.
  * The info manual does not have empty sections anymore. Closes: #324785.
  * The author has dropped mailshar, mail-files, remsync and compress-dummy.
    Dropped manpages in the Debian package accordingly.

 -- Santiago Vila <sanvila@debian.org>  Fri, 08 Apr 2011 18:12:16 +0200
