=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Build-Depends-Indep: texi2html (>= 1.82)
 Homepage: http://www.gnu.org/software/sharutils/
