=== debian/rules ===
--- 
+++ 
@@ -9,17 +9,20 @@
 ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
   CFLAGS += -O2
 endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-  STRIP = strip --remove-section=.comment --remove-section=.note
-endif
 
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
   confflags += --build $(DEB_HOST_GNU_TYPE)
+  stripcmd = strip
 else
   confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+  stripcmd = $(DEB_HOST_GNU_TYPE)-strip
+endif
+
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+  STRIP = $(stripcmd) --remove-section=.comment --remove-section=.note
 endif
 
 build:
@@ -48,7 +51,7 @@
 	dpkg-gencontrol -p$(package)-doc
 	cd debian/tmp && \
 		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
-	chown -R root:root debian/tmp
+	chown -R 0:0 debian/tmp
 	chmod -R u+w,go=rX debian/tmp
 	dpkg --build debian/tmp ..
 
@@ -62,19 +65,15 @@
 	cp -p debian/changelog $(docdir)/changelog.Debian
 	cd $(docdir) && gzip -9 changelog changelog.Debian
 	dpkg-shlibdeps debian/tmp/usr/bin/*
-	install -m 644 debian/compress-dummy.1 debian/tmp/usr/share/man/man1
-	install -m 644 debian/mailshar.1 debian/tmp/usr/share/man/man1
 	cd debian/tmp/usr/bin && $(STRIP) shar unshar uuencode uudecode
 	gzip -9 debian/tmp/usr/share/info/*
 	gzip -r9 debian/tmp/usr/share/man
 	rm -f debian/tmp/usr/share/man/man1/uudecode.1.gz
 	ln -s uuencode.1.gz debian/tmp/usr/share/man/man1/uudecode.1.gz
-	ln -s mailshar.1.gz debian/tmp/usr/share/man/man1/mail-files.1.gz
-	ln -s mailshar.1.gz debian/tmp/usr/share/man/man1/remsync.1.gz
 	dpkg-gencontrol -p$(package)
 	cd debian/tmp && \
 		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
-	chown -R root:root debian/tmp
+	chown -R 0:0 debian/tmp
 	chmod -R u+w,go=rX debian/tmp
 	dpkg --build debian/tmp ..
