## sharutils 4.11.1

=== debian/changelog ===
sharutils (1:4.11.1-1) unstable; urgency=low

  * New upstream release.
  * Updated config.guess and config.sub.
  * Switch to dh to build with hardening flags.

 -- Santiago Vila <sanvila@debian.org>  Sat, 02 Jun 2012 19:24:00 +0200
