=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: utils
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.9.1
-Build-Depends-Indep: texi2html (>= 1.82)
+Standards-Version: 3.9.2
+Build-Depends: texi2html (>= 1.82), debhelper (>= 9)
 Homepage: http://www.gnu.org/software/sharutils/
 
 Package: sharutils
 Conflicts: shar, uuencode
 Architecture: any
-Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: bsd-mailx | mailx
 Description: shar, unshar, uuencode, uudecode
  `shar' makes so-called shell archives out of many files, preparing
@@ -25,5 +25,6 @@
 Section: doc
 Priority: optional
 Architecture: all
+Depends: ${misc:Depends}
 Description: Documentation for GNU sharutils
  This package contains the HTML documentation for GNU sharutils.
