=== debian/rules ===
#!/usr/bin/make -f

package = sharutils

export DEB_BUILD_MAINT_OPTIONS=hardening=-format

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f doc/*.html

override_dh_installdocs:
	cd doc && texi2html -split_chapter $(package).texi
	dh_installdocs -i doc/*.html
	dh_installdocs -a README TODO NEWS THANKS

override_dh_link:
	dh_link -i usr/share/doc/$(package)-doc/$(package)_toc.html \
		usr/share/doc/$(package)-doc/index.html
