## sharutils 4.14

=== debian/changelog ===
sharutils (1:4.14-2+deb8u1) jessie-security; urgency=medium

  * Apply patch from Petr Pisar to fix heap buffer overflow in unshar.
    This is CVE-2018-1000097. Closes: #893525.

 -- Santiago Vila <sanvila@debian.org>  Wed, 04 Apr 2018 19:49:02 +0200

sharutils (1:4.14-2) unstable; urgency=medium

  * Multi-Arch: foreign. Closes: #745070.

 -- Santiago Vila <sanvila@debian.org>  Thu, 17 Apr 2014 21:49:32 +0200

sharutils (1:4.14-1) unstable; urgency=low

  * New upstream release.
  * Disabled format checking again. Sorry, I don't see the point in modifying
    code which is perfectly ok "just so that gcc does not complain".
  * Fixed FTBFS on the Hurd. Thanks to Pino Toscano. Closes: #726239.

 -- Santiago Vila <sanvila@debian.org>  Sat, 19 Oct 2013 15:02:20 +0200

sharutils (1:4.13.5-1) unstable; urgency=low

  * New upstream release.
  * Switch from texi2html to makeinfo.
  * Dropped 01-no-usr-share-info-dir-gz. debhelper sets AM_UPDATE_INFO_DIR=no.
  * Dropped 02-fix-for-gnulib-glibc-gets. This was a gnulib issue and it was
    fixed in 2012-03-29 by commit 66712c23388e93e5c518ebc8515140fa0c807348.
  * Updated 03-enable-w-format-security.
  * Updated 99-config-guess-config-sub.

 -- Santiago Vila <sanvila@debian.org>  Sat, 12 Oct 2013 16:52:38 +0200

sharutils (1:4.11.1-2) unstable; urgency=low

  * Added fix for gnulib compilation against eglibc 2.16, which no longer
    declares gets by default. Closes: #694956.
  * Allow compilation with -Werror=format-security. Closes: #700313.

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Feb 2013 14:05:30 +0100
