=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: texi2html (>= 1.82), debhelper (>= 9)
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9.20120311), texinfo
 Homepage: http://www.gnu.org/software/sharutils/
 
 Package: sharutils
@@ -11,6 +11,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: bsd-mailx | mailx
+Multi-Arch: foreign
 Description: shar, unshar, uuencode, uudecode
  `shar' makes so-called shell archives out of many files, preparing
  them for transmission by electronic mail services.  `unshar' helps
