## sharutils 4.15.2

=== debian/changelog ===
sharutils (1:4.15.2-9) unstable; urgency=medium

  * Call makeinfo using --output option. This allows the package to be
    built with Texinfo 7. Thanks to Hilmar Preusse. Closes: #1030371.
  * Run wrap-and-sort.

 -- Santiago Vila <sanvila@debian.org>  Fri, 03 Feb 2023 19:10:00 +0100

sharutils (1:4.15.2-8) unstable; urgency=medium

  * Include upstream signature.
  * Use a common debian/watch file which is valid for most GNU packages.

 -- Santiago Vila <sanvila@debian.org>  Tue, 20 Dec 2022 23:05:00 +0100

sharutils (1:4.15.2-7) unstable; urgency=medium

  * Set upstream metadata fields Bug-Submit, Name and Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.
  * Update standards version to 4.6.1, no changes needed.
  * Remove field Priority on binary package sharutils-doc.
  * Update watch file format version to 4.

 -- Santiago Vila <sanvila@debian.org>  Tue, 13 Dec 2022 19:12:00 +0100

sharutils (1:4.15.2-6) unstable; urgency=medium

  * Modify libopts.m4 so that POSIX_SHELL is accepted from the
    environment during the configure step. Closes: #992651.
    This should allow building both with or without usr-merge.
    Run autoreconf so that the modified m4 files are picked up.
    Thanks a lot to Simon McVittie.
  * Raise debhelper compat level.
  * Update paths in debian/sharutils-doc.doc-base, as docs are now
    installed directly in /usr/share/doc/sharutils.

 -- Santiago Vila <sanvila@debian.org>  Fri, 22 Jul 2022 12:05:00 +0200

sharutils (1:4.15.2-5) unstable; urgency=medium

  * Fix FTBFS with gcc-10. Closes: #957790.
  * Change URLs to use https.

 -- Santiago Vila <sanvila@debian.org>  Mon, 27 Jul 2020 18:22:00 +0200

sharutils (1:4.15.2-4) unstable; urgency=medium

  * Fix FTBFS with glibc 2.28. Closes: #915173.
  * Rules-Requires-Root: no.

 -- Santiago Vila <sanvila@debian.org>  Sat, 01 Dec 2018 15:48:20 +0100

sharutils (1:4.15.2-3) unstable; urgency=medium

  * Apply patch from Petr Pisar to fix heap buffer overflow in unshar.
    This is CVE-2018-1000097. Closes: #893525.

 -- Santiago Vila <sanvila@debian.org>  Tue, 20 Mar 2018 01:09:02 +0100

sharutils (1:4.15.2-2) unstable; urgency=medium

  * Drop debian/patches/99-config-guess-config-sub, not really needed
    when using dh and a recent enough debhelper.
  * Add "Suggests: sharutils-doc" to sharutils, for those who prefer
    documentation in HTML format.
  * Split override_dh_installdocs into -indep and -arch.
  * Standards-Version: 3.9.8 (no special changes for this).
  * Add the key of Bruce Korb as debian/upstream/signing-key.asc.
  * Add a watch file.

 -- Santiago Vila <sanvila@debian.org>  Sun, 08 Jan 2017 22:53:02 +0100

sharutils (1:4.15.2-1) unstable; urgency=medium

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Mon, 03 Aug 2015 17:31:22 +0200

sharutils (1:4.15.1-1) unstable; urgency=low

  * New upstream release.
  * Fix groff typo in unshare manpage. Closes: #771904.
  * Error message in uudecode has now missing newline. Closes: #771910.

 -- Santiago Vila <sanvila@debian.org>  Fri, 15 May 2015 13:08:14 +0200
