=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: utils
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9.20120311), texinfo
-Homepage: http://www.gnu.org/software/sharutils/
+Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), texinfo
+Homepage: https://www.gnu.org/software/sharutils/
+Rules-Requires-Root: no
 
 Package: sharutils
 Conflicts: shar, uuencode
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: bsd-mailx | mailx
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: bsd-mailx | mailx, sharutils-doc
 Multi-Arch: foreign
 Description: shar, unshar, uuencode, uudecode
  `shar' makes so-called shell archives out of many files, preparing
@@ -24,7 +25,6 @@
 
 Package: sharutils-doc
 Section: doc
-Priority: optional
 Architecture: all
 Depends: ${misc:Depends}
 Description: Documentation for GNU sharutils
